This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 445563 - root window is not redrawn when compositing is enabled
root window is not redrawn when compositing is enabled
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 12:55 EDT by Andrew McNabb
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 14:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing the strange behavior (383.77 KB, image/jpeg)
2008-05-07 12:55 EDT, Andrew McNabb
no flags Details

  None (edit)
Description Andrew McNabb 2008-05-07 12:55:51 EDT
Description of problem:

When /apps/metacity/general/compositing_manager is set to true in gconf, the
root window isn't refreshed when the background image changes.

Version-Release number of selected component (if applicable):

metacity-2.22.0-3.fc9


How Reproducible:

It happens every time.


Steps to Reproduce:
1. Enable compositing_manager.
2. Set /apps/nautilus/preferences/show_desktop to false to keep nautilus from
controlling the root window.
3. Change the background image by modifying
/desktop/gnome/background/picture_filename in gconf.

  
Actual results:

The root window doesn't redraw.  Dragging windows around forces the background
to change underneath but not anywhere else.  Calling xrefresh to redraw the
whole screen sort of works, but it can make the screen flicker.


Expected results:

The new background image should be immediately visible.


Additional info:

I'll attach an image that shows what's happening.

Note that you need to have gnome-settings-daemon version
2.22.1-1.2008.03.26.8.fc9.  With earlier versions, the background doesn't get
updated at all, much less redrawn.  See bug 444682 for more information about
this separate bug.
Comment 1 Andrew McNabb 2008-05-07 12:55:51 EDT
Created attachment 304783 [details]
screenshot showing the strange behavior
Comment 2 Bug Zapper 2008-05-14 06:46:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Søren Sandmann Pedersen 2008-10-31 14:37:09 EDT
Needs to go upstream - we don't recommend using the metacity compositor.
Comment 4 Andrew McNabb 2008-11-03 12:57:12 EST
Note that I just filed a bug with GNOME:

http://bugzilla.gnome.org/show_bug.cgi?id=559149http://bugzilla.gnome.org/show_bug.cgi?id=559149

Note You need to log in before you can comment on or make changes to this bug.